<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePasswordResetsTable extends Migration
{
    /**
     * Crear la tabla password_resets
     */
    public function up()
    {
        Schema::create('password_resets', function (Blueprint $table) {
            $table->string('email')->index(); // campo cadena 'email', es índice
            $table->string('token'); // campo string 'token'
            $table->timestamp('created_at')->nullable(); // campo fecha 'created_at'
        });
    }

    /**
     * Eliminar la tabla password_resets
     */
    public function down()
    {
        Schema::dropIfExists('password_resets');
    }
}
