<?php

/* Definición del modelo Etiqueta ==> corresponde a las etiquetas (fav, like...) que podemos usar en la aplicación */

namespace App;

use Illuminate\Database\Eloquent\Model;

class Etiqueta extends Model
{
  // especificamos la tabla en DB
  protected $table = 'etiquetas';
  
  // Relaciones
  
  // Una etiqueta puede aplicarse en muchas AccionesSociales
  public function acciones_sociales()
  {
    return $this->hasMany(AccionSocial::class);
  }
}
