<?php

use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seeding es un mecanismo para poblar la DB con datos de prueba.
     * Aquí definimos los seeds que ejecutaremos al ordenar el seeding desde línea de comandos.
     * Cada llamada llama a un archivo seed, donde se define qué datos de prueba se insertarán (están en la misma carpeta /database/seeds/)
     */
    public function run()
    {
        $this->call(RolesTableSeeder::class);
        $this->call(UsersTableSeeder::class);
        $this->call(ExposicionesTableSeeder::class);
        $this->call(ObrasTableSeeder::class);
    }
}
