 {{-- Componente. Se usa con la directiva @component --}}
 {{-- Recibe los parámetros $Tecnica, $Fecha, $Planta, $Ubicacion, $URL --}}
 <div class="card-header">Más información</div>
 <div class="card-body">
  @if ($Tecnica != null)
  <p>
    <span class="text-muted">Técnica: </span> 
    {{ $Tecnica }}</p>
    @endif
    
    @if ($Fecha != null)
    <p>
      <span class="text-muted">Fecha: </span> 
      {{ $Fecha }}</p>
      @endif
      
      @if ($Planta != null || $Ubicacion != null)
      @php
      $array = array($Planta, $Ubicacion);
      $literalUbicacion = implode(", ", $array);
      @endphp
      <p>
        <span class="text-muted">Ubicación: </span>
        {{ $literalUbicacion }}
      </p>
      @endif
      
      @if ($URL != null)
      <p><span class="oi oi-link-intact"></span> <a href="{{ $URL }}">Ver más</a></p>
      @endif
    </div>