@extends('layouts/layout')


@section('contenido')

<main class="container">
  <div class="row">
    <div class="col">
      <h1 class='text-enlazart my-4'>Política de privacidad y aviso legal.</h1>
      <h2>Política de privacidad:</h2>
      <p>A través de este sitio web -en adelante, <strong>enlaz.art</strong>- no se recaban datos de carácter personal de los usuarios sin su conocimiento, ni se ceden a terceros.</p>
      <p><strong>enlaz.art</strong> no utiliza cookies para recoger información de los usuarios, ni registra las direcciones IP de acceso. Únicamente se utilizan cookies propias,  de sesión, con finalidad técnica (aquellas que permiten al usuario la navegación a través del sitio web y la utilización de las diferentes opciones y servicios que en ella existen). </p>
      <p><strong>enlaz.art</strong> contiene enlaces a sitios web de terceros, cuyas políticas de privacidad son ajenas a la de este sitio web. Al acceder a tales sitios web usted puede decidir si acepta sus políticas de privacidad y de cookies. Con carácter general, si navega por Internet usted puede aceptar o rechazar las cookies de terceros desde las opciones de configuración de su navegador.</p>
      <h2 class="mt-4">Aviso legal:</h2>
      <p>Este portal, cuyo titular es Luis Joaquín Simón Lázaro -en adelante, el autor-, está constituido por los sitios web asociados al dominio <strong>enlaz.art</strong>.</p>
      <h3>Propiedad intelectual e industrial </h3>
      <p>El diseño del portal y sus códigos fuente, así como los logos, marcas y demás signos distintivos que aparecen en el mismo pertenecen al autor y están protegidos por los correspondientes derechos de propiedad intelectual e industrial. </p>
      <h3>Responsabilidad de los contenidos </h3>
      <p>El autor no se hace responsable de la legalidad de otros sitios web de terceros desde los que pueda accederse al portal. El autor tampoco responde por la legalidad de otros sitios web de terceros, que pudieran estar vinculados o enlazados desde este portal. </p>
      <p>El autor se reserva el derecho a realizar cambios en el sitio web sin previo aviso, al objeto de mantener actualizada su información, añadiendo, modificando, corrigiendo o eliminando  los contenidos publicados o el diseño del portal. </p>
      <p>El autor no será responsable del uso que terceros hagan de la información publicada en el portal, ni tampoco de los daños sufridos o pérdidas económicas que, de forma directa o indirecta, produzcan o puedan producir perjuicios económicos, materiales o sobre datos, provocados por el uso de dicha información.</p>
      <h3>Reproducción de contenidos </h3>
      <p>Se prohíbe la reproducción total o parcial de los contenidos publicados en <strong>enlaz.art</strong>.</p>
      <h3>Ley aplicable </h3>
      <p>La ley aplicable en caso de disputa o conflicto de interpretación de los términos que conforman este aviso legal, así como cualquier cuestión relacionada con los servicios del presente portal, será la ley española.</p>
    </div>
  </div>
</main>
@endsection